
<div class="row">
    <div class="col-md-4">
        <!-- Logo -->
        <div class="logo">
            <h1><a href="main.php"><?php echo $this->val['config']['company_name']; ?></a></h1>
        </div>
    </div>
    <div class="col-md-1">
        <div class="row">
            <div class="col-lg-10">
            </div>
        </div>
    </div>
    <div class="col-md-7">
        <!-- Header menu -->
        <div class="navbar navbar-inverse" role="banner">
            <div class="navbar-header">
                <button class="navbar-toggle" type="button" data-toggle="collapse" data-target=".bs-navbar-collapse">
                    <span>Menu</span>
                </button>
            </div>

            <nav class="collapse navbar-collapse bs-navbar-collapse navbar-right" role="navigation">
                <ul class="nav navbar-nav">

                    <?php if(isset($this->val['config']['gui']['menu_show_news']) AND $this->val['config']['gui']['menu_show_news'] == 1 ){ ?>
                        <li>
                            <a href="main.php?action=news"><i class="icon-calendar"></i> <?php echo T_("Новости"); ?></a>
                        </li>
                    <?php } ?>



                    <?php if(isset($this->val['config']['gui']['menu_show_tickets']) AND $this->val['config']['gui']['menu_show_tickets'] == 1){ ?>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-comments"></i> <?php echo T_("On-line поддержка"); ?> <?php 	if (count($this->val['ticketMenu']['activeTicket']) <> 0 ){ ?>
                            <span class="label label-warning"><?php echo count($this->val['ticketMenu']['activeTicket']); ?></span>
                            <?php } ?><b class="caret"></b></a>
                        <!-- Big dropdown menu -->
                        <ul class="dropdown-menu dropdown-big animated fadeInUp">
                            <!-- Dropdown menu header -->
                            <div class="dropdown-head">
                                <span class="dropdown-title"><?php echo T_("Активные диалоги:"); ?></span>
                            </div>
                            <!-- Dropdown menu body -->
                            <div class="dropdown-body">
                                <?php 	if (count($this->val['ticketMenu']['activeTicket']) == 0 ){ ?>
                                <li><i class="icon-comments color"></i> <a href="#"><?php echo T_("Активные диалоги отсутствуют"); ?></a><span
                                            class="label label-info pull-right">0</span></li>
                                <?php } else {
										 	foreach ($this->val['ticketMenu']['activeTicket'] as $key => $item) { ?>
                                <li><i class="icon-comments color"></i> <a
                                            href="main.php?action=ticket&ticketid=<?php echo $item['ticketid']; ?>"><?php echo $item['cause']; ?></a><span
                                            class="label label-info pull-right"><?php echo $item['messages']; ?></span></li>
                                <?php } } ?>
                            </div>

                            <!-- Dropdown menu footer -->
                            <div class="dropdown-foot text-center">
                                <a href="main.php?action=ticketall"><?php echo T_("Показать все диалоги"); ?></a><span
                                        class="label label-info pull-right"><?php echo $this->val['ticketMenu']['allTicketCount']; ?></span>
                            </div>
                            <div class="dropdown-foot text-center">
                                <a href="" data-toggle="modal" data-target="#compose-modal-new-tiket"><?php echo T_("Задать вопрос"); ?></a><span class="label label-success pull-right">new</span>

                            </div>
                        </ul>
                    </li>

                    <?php } ?>


                    <?php if(isset($this->val['config']['gui']['menu_show_bookmark']) AND $this->val['config']['gui']['menu_show_bookmark'] == 1){ ?>
                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-heart"></i><?php echo T_("Закладки"); ?><b class="caret"></b></a>
                        <!-- Big dropdown menu -->
                        <ul class="dropdown-menu dropdown-big animated fadeInUp">
                            <!-- Dropdown menu body -->
                            <div class="dropdown-body">
                                <?php foreach ($this->val['xml']['buttons']['button'] as $button) {

                                if (isset($button['@attributes']['enabled']) and $button['@attributes']['enabled'] == '1') { ?>
                                <li><a href="<?php echo $button['@attributes']['url']; ?>" target="<?php echo $button['@attributes']['target']; ?>"> <?php echo $button['@attributes']['label']; ?></a></li>
                                <?php } } ?>
                            </div>
                        </ul>
                    </li>
                    <?php } ?>


                    <li class="dropdown">
                        <a href="#" class="dropdown-toggle" data-toggle="dropdown"><i class="icon-user"></i><?php echo $this->val['user']['user']; ?><b class="caret"></b></a>
                        <!-- Big dropdown menu -->
                        <ul class="dropdown-menu dropdown-big animated fadeInUp">
                            <!-- Dropdown menu body -->
                            <div class="dropdown-body">
                                <?php if($this->val['user']['do_print_dogovor'] == "1") { ?>

                                <li><i class="icon-print color"></i><a href="main.php?action=gendogovor" target="_blank"> <?php echo T_("Печать договора"); ?> </a></li>
                                <?php } ?>


                                <?php if($this->val['user']['otkluchentable'] == "0" and $this->val['user']['deletedtable'] == "0") { ?>
                                <li><i class="icon-user color"></i><a href="main.php?action=profile"> <?php echo T_("Профиль"); ?></a></li>
                                <?php } ?>

                                <li><i class="icon-signout color"></i><a href="main.php?action=exit"> <?php echo T_("Выйти"); ?></a></li>
                            </div>
                        </ul>
                    </li>
                </ul>
            </nav>
        </div>
    </div>
</div>