<!DOCTYPE html>
<html>
<head>

    <!-- Title here -->
    <title><?php echo $this->val['company_name']; ?> <?php echo T_("Личный кабинет"); ?></title>
    <!-- Description, Keywords and Author -->
    <meta name="description" content="Your description">
    <meta name="keywords" content="Your,Keywords">
    <meta name="author" content="ResponsiveWebInc">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">


    <!-- Styles -->
    <!-- Bootstrap CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap.min.css" rel="stylesheet">
    <!-- Animate css -->
    <link href="<?php echo $this->val['path_template']; ?>/css/animate.min.css" rel="stylesheet">
    <!-- Gritter -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.gritter.css" rel="stylesheet">
    <!-- Calendar -->
    <link href="<?php echo $this->val['path_template']; ?>/css/fullcalendar.css" rel="stylesheet">
    <!-- Bootstrap toggable -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-switch.css" rel="stylesheet">
    <!-- Date and Time picker -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/rateit.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.cleditor.css" rel="stylesheet">
    <!-- jQuery UI -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery-ui.css" rel="stylesheet">
    <!-- prettyPhoto -->
    <link href="<?php echo $this->val['path_template']; ?>/css/prettyPhoto.css" rel="stylesheet">
    <!-- Font awesome CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/font-awesome.min.css" rel="stylesheet">

    <!-- Custom CSS -->
    <?php if (isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 2){ ?>
        <link href="<?php echo $this->val['path_template']; ?>/css/style-white.css" rel="stylesheet">
    <?php } elseif(isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 3 AND file_exists($this->val['path_template'].'/customtpls/custom.css')) { ?>
        <link href="<?php echo $this->val['path_template']; ?>/customtpls/custom.css" rel="stylesheet">
    <?php }else{ ?>
        <link href="<?php echo $this->val['path_template']; ?>/css/style.css" rel="stylesheet">
    <?php }?>

    <!-- Favicon -->
    <link rel="shortcut icon" href="favicon.ico">
</head>

<body>


<!-- Logo & Navigation starts -->

<div class="header">
    <div class="container">
        <div class="row">
            <div class="col-md-12">
                <!-- Logo -->
                <div class="logo text-center">
                    <h1><a href="<?php echo $this->val['company_site']; ?>"><?php echo $this->val['company_name']; ?></a></h1>
                </div>
            </div>
        </div>
    </div>
</div>

<!-- Logo & Navigation ends -->


<!-- Page content -->
<div class="page-content blocky">
    <div class="container">

        <div class="row">
            <div class="col-md-12">
                <div class="awidget login-reg">
                    <div class="awidget-head">

                    </div>
                    <div class="awidget-body">
                        <!-- Page title -->
                        <div class="page-title text-center">
                            <h2><?php echo T_("Вход"); ?></h2>
                            <hr/>
                        </div>
                        <!-- Page title -->

                        <br/>

                        <form class="form-horizontal"  id="formlogin" role="form" action="main.php" method="post">
                            <?php if( isset($this->val['cab_login_alert'])) {echo $this->val['cab_login_alert'];} ?>
                            <?php if( isset($this->val['cabinet_auth_alert'])) {echo $this->val['cabinet_auth_alert'];} ?>

                            <input name="auth_login" type="hidden" value="1">

                            <?php if($this->val['do_auth_only_pass'] != 1 ) { ?>
                            <div class="form-group">
                                <label for="inputLogin" class="col-lg-2 control-label"><?php echo T_("Логин"); ?></label>

                                <div class="col-lg-10">
                                    <input type="text" class="form-control" id="inputLogin" name="login"
                                           placeholder="<?php echo T_("Введите логин"); ?>"
                                    value="<?php if( isset($this->val['demo']) AND $this->val['demo'] == 1) {echo "demo";} else { echo ""; } ?>" >
                                </div>
                            </div>
                            <?php } ?>
                            <div class="form-group">
                                <label for="inputPassword" class="col-lg-2 control-label"><?php echo T_("Пароль"); ?></label>

                                <div class="col-lg-10">
                                    <input type="password" class="form-control" id="inputPassword" name="password"
                                           placeholder="<?php echo T_("Введите пароль"); ?>"
                                    value="<?php if( isset($this->val['demo']) AND $this->val['demo'] == 1) {echo "demo";} else { echo ""; } ?>" >
                                </div>
                            </div>

                            <?php if (isset($this->val['gui']['restore_pass_sms_on']) and $this->val['gui']['restore_pass_sms_on'] == '1'){ ?>
                            <div class="form-group">
                                <div class="col-lg-offset-2 col-lg-5">
                                    <a href="main.php?action=restore"><?php echo T_("Забыли пароль?"); ?></a>
                                </div>
                            </div>
                            <?php } ?>

                            <hr/>


                            <div class="form-group">
                                <div class="col-lg-offset-2 col-lg-10">
                                    <button type="submit" id="demo" class="btn btn-info"><i class="icon-signin"></i> <?php echo T_("Вход"); ?></button>

                                    <button type="reset" class="btn btn-default"><?php echo T_("Отменить"); ?></button>


                                </div>
                            </div>
                        </form>
                    </div>
                </div>
            </div>
        </div>

    </div>
</div>

<!-- Footer starts -->
<div class="navbar-fixed-bottom row-fluid">
    <div class="navbar-inner">
        <footer>
            <div class="container">
                <?php echo $this->val['footer']; ?>
            </div>
        </footer>
    </div>
</div>
<!-- Footer ends -->

<!-- Scroll to top -->
<span class="totop"><a href="#"><i class="icon-chevron-up"></i></a></span>

<!-- Javascript files -->
<!-- jQuery -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.js"></script>
<!-- Bootstrap JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap.min.js"></script>
<!-- jQuery UI -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery-ui-1.10.2.custom.min.js"></script>
<!-- jQuery Peity -->
<script src="<?php echo $this->val['path_template']; ?>/js/peity.js"></script>
<!-- Calendar -->
<script src="<?php echo $this->val['path_template']; ?>/js/fullcalendar.min.js"></script>
<!-- jQuery Star rating -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.rateit.min.js"></script>
<!-- prettyPhoto -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.prettyPhoto.js"></script>

<!-- jQuery flot -->
<!--[if lte IE 8]>
<script language="javascript" type="text/javascript" src="js/excanvas.min.js"></script>
<![endif]-->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.pie.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.stack.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.resize.js"></script>


<!-- Gritter plugin -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.gritter.min.js"></script>
<!-- CLEditor -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.cleditor.min.js"></script>
<!-- Date and Time picker -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-datetimepicker.min.js"></script>
<!-- jQuery Toggable -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-switch.min.js"></script>
<!-- Respond JS for IE8 -->
<script src="<?php echo $this->val['path_template']; ?>/js/respond.min.js"></script>
<!-- HTML5 Support for IE -->
<script src="<?php echo $this->val['path_template']; ?>/js/html5shiv.js"></script>
<!-- Custom JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/custom.js"></script>

<script type="text/javascript">

    $(document).ready(function () {
        $("#register").click(function () {
            location.href= "main.php?action=register";
        });
    });

</script>

</body>
</html>
