<!DOCTYPE html>
<html>
<head>
    <!-- Title here-->
    <title><?php echo $this->val['company_name']; ?> <?php echo T_("Личный кабинет"); ?></title>
    <!-- Description, Keywords and Author -->
    <meta name="description" content="Your description">
    <meta name="keywords" content="Your,Keywords">
    <meta name="author" content="ResponsiveWebInc">
    <meta charset="UTF-8">
    <meta http-equiv="X-UA-Compatible" content="IE=edge">
    <meta name="viewport" content="width=device-width, initial-scale=1.0">

    <!-- Styles -->
    <!-- Bootstrap CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap.min.css" rel="stylesheet">
    <!-- Animate css -->
    <link href="<?php echo $this->val['path_template']; ?>/css/animate.min.css" rel="stylesheet">
    <!-- Gritter -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.gritter.css" rel="stylesheet">
    <!-- Calendar -->
    <link href="<?php echo $this->val['path_template']; ?>/css/fullcalendar.css" rel="stylesheet">
    <!-- Bootstrap toggable -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-switch.css" rel="stylesheet">
    <!-- Date and Time picker -->
    <link href="<?php echo $this->val['path_template']; ?>/css/bootstrap-datetimepicker.min.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/rateit.css" rel="stylesheet">
    <!-- Star rating -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.cleditor.css" rel="stylesheet">
    <!-- jQuery UI -->
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery-ui.css" rel="stylesheet">
    <!-- prettyPhoto -->
    <link href="<?php echo $this->val['path_template']; ?>/css/prettyPhoto.css" rel="stylesheet">
    <!-- Font awesome CSS -->
    <link href="<?php echo $this->val['path_template']; ?>/css/font-awesome.min.css" rel="stylesheet">
    <link href="<?php echo $this->val['path_template']; ?>/css/jquery.bootstrap-touchspin.css" rel="stylesheet" type="text/css" media="all">

    <!-- Custom CSS -->
    <?php if (isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 2){ ?>
    <link href="<?php echo $this->val['path_template']; ?>/css/style-white.css" rel="stylesheet">
    <?php } elseif(isset($this->val['gui']['template_style']) AND $this->val['gui']['template_style'] == 3 AND file_exists($this->val['path_template'].'/customtpls/custom.css')) { ?>
    <link href="<?php echo $this->val['path_template']; ?>/customtpls/custom.css" rel="stylesheet">
    <?php }else{ ?>
    <link href="<?php echo $this->val['path_template']; ?>/css/style.css" rel="stylesheet">
    <?php }?>

    <!-- Favicon -->
    <link rel="shortcut icon" href="favicon.ico">
</head>

<body>
<!-- Logo & Navigation starts -->
<div class="header">
    <div class="container">
        <?php echo $this->val['header']; ?>
    </div>
</div>

<!-- Page content -->
        <div class="sidebar-dropdown"><a href="#"><?php echo T_("МЕНЮ"); ?></a></div>
        <div class="page-content blocky">
            <div class="container">
        <!-- Main menu -->
        <?php echo $this->val['main_menu']; ?>

        <div class="mainy">
            <!-- Page title -->
            <div class="page-title">
                <h2><i class="icon-desktop color"></i> <?php echo T_("Пополнение счета"); ?> </h2>
                <hr/>
            </div>

            <!-- Page title -->
            <div class="row">
                <div class="col-md-12" id="block_select" style="display:none">
                    <!-- Browser widget -->
                    <div class="awidget">
                        <div class="awidget-head">
                            <h3> <?php echo T_("Выберите способ пополнения"); ?></h3>
                        </div>

                        <div class="awidget-body no-table-bor">
                            <form class="form-horizontal" role="form">

                                <div class="form-group">
                                    <label class="control-label col-lg-3"
                                           for="telephone"><?php echo T_("Способ пополнения"); ?>:</label>

                                    <div class="col-lg-4">
                                        <select class="form-control" id="money_option">
                                            <?php
                                                foreach ($this->val['paymentType'] as $key => $item) {
                                            echo '
                                            <option value="'.$key.'">'.$item.'</option>
                                            ';
                                            }
                                            ?>
                                        </select>
                                    </div>
                                </div>

                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-md-12" id="block_vaucher" style="display:none">
                    <!-- Browser widget -->
                    <div class="awidget">
                        <div class="awidget-head">
                            <h3> <?php echo T_("Пополнение ваучером"); ?></h3>
                        </div>

                        <div class="awidget-body no-table-bor">

                            <?php if($this->val['gui']['accountinfo_payment'] == 1 ){ ?>
                            <div class="alert alert-info"
                                 id="cabinet_turbo_active_alert"> <?php echo T_("Рекомендованная сумма платежа составляет: "); ?> <?php   echo floor($this->
                                val['itog_summa'] * 100) / 100; ?> <?php echo $this->val['UE']; ?>
                            </div>
                            <?php } ?>

                            <?php echo $this->val['cabinet_card_alert']; ?>


                            <form class="form-horizontal" action="main.php" method="post">

                                <input name="action" value="payment" type="hidden">

                                <div class="form-group">
                                    <label for="phone" class="col-sm-3 control-label"><?php echo T_("Код ваучера"); ?>
                                        :</label>

                                    <div class="col-sm-1" style="width:65px;">
                                        <input type="text" class="form-control" name="card1" id="card1"
                                               style="width:65px; text-align:center" required>
                                    </div>

                                    <label class="col-sm-1 control-label" style="width:15px;"></label>

                                    <div class="col-sm-1" style="width:65px;">
                                        <input type="text" class="form-control" name="card2" id="card2"
                                               style="width:65px; text-align:center" required>
                                    </div>

                                    <label class="col-sm-1 control-label" style="width:15px;"></label>

                                    <div class="col-sm-1" style="width:65px;">
                                        <input type="text" class="form-control" name="card3" id="card3"
                                               style="width:65px; text-align:center" required>
                                    </div>

                                    <label class="col-sm-1 control-label" style="width:15px;"></label>

                                    <div class="col-sm-1" style="width:65px;">
                                        <input type="text" class="form-control" name="card4" id="card4"
                                               style="width:65px; text-align:center" required>
                                    </div>

                                    <label class="col-sm-1 control-label" style="width:15px;"></label>

                                    <div class="col-sm-1" style="width:65px;">
                                        <input type="text" class="form-control" name="card5" id="card5"
                                               style="width:65px; text-align:center" required>
                                    </div>

                                    <label class="col-sm-1 control-label" style="width:15px;"></label>

                                    <div class="col-sm-1" style="width:65px;" id="card6_visible" style="display:none">
                                        <input type="text" class="form-control" name="card6" id="card6"
                                               style="width:65px; text-align:center">
                                    </div>

                                </div>

                                <div class="form-group">
                                    <div class="col-sm-offset-3 col-sm-10">
                                        <button type="reset"
                                                class="btn btn-default"><?php echo T_("Отменить"); ?></button>
                                        <button type="submit"
                                                class="btn btn-info"><?php echo T_("Пополнить"); ?></button>
                                    </div>
                                </div>
                            </form>
                        </div>
                    </div>
                </div>

                <div class="col-md-12" id="block_ps" style="display:none">
                    <!-- Browser widget -->
                    <div class="awidget">
                        <div class="awidget-head">
                            <h3 id="name_ps"> <?php echo T_("Пополнение"); ?> Приват24</h3>
                        </div>

                        <div class="awidget-body no-table-bor">

                            <?php if($this->val['gui']['accountinfo_payment'] == 1 ){ ?>
                            <div class="alert alert-info"
                                 id="cabinet_turbo_active_alert"> <?php echo T_("Рекомендованная сумма платежа составляет: "); ?> <?php echo $this->val['erec_payment']; ?> <?php echo $this->val['UE']; ?>
                            </div>
                            <?php } ?>


                            <form class="form-horizontal" id="form_payment_ps" action="main.php" method="post">

                                <input name="uid" id="uid" type="hidden" value="<?php echo $this->val['uid']; ?>">
                                <input name="fio" id="fio" type="hidden" value="<?php echo $this->val['fio']; ?>">
                                <input id="amount_with_kommiss" type="hidden">
                                <input name="system" id="system" type="hidden" value="unknow" disabled>


                                <div class="form-group" id="show_summa">
                                    <label for="summa"
                                           class="col-sm-3 control-label"><?php echo T_("Сумма пополнения"); ?>:</label>

                                    <div class="col-sm-4">
                                        <input type="number" class="form-control" id="summa" name="summa"
                                               min="<?php if(isset($this->val['gui']['terminals_minimumamount'])){ echo $this->val['gui']['terminals_minimumamount']; } else { echo "
                                               1"; } ?>" value="<?php if(isset($this->
                                        val['gui']['terminals_minimumamount'])){ echo
                                        $this->val['gui']['terminals_minimumamount']; } else { echo
                                        "1"; } ?>" required>
                                    </div>
                                </div>

                                <div class="form-group" id="show_phone" style="display:none">

                                    <label for="phone" class="col-sm-3 control-label"><?php echo T_("Телефон"); ?>
                                        :  <?php if(isset($this->val['gui']['wqiwiru_prompt'])){ echo
                                        $this->val['gui']['wqiwiru_prompt']; } ?></label>

                                    <div class="col-sm-4">

                                        <?php if(!empty($this->val['gui']['wqiwiru_prompt'])){  ?>
                                            <input name="wqiwiru_prompt" id="wqiwiru_prompt" type="hidden" value="<?php echo $this->val['gui']['wqiwiru_prompt']; ?>">
                                        <?php } ?>

                                        <input type="tel" class="form-control" name="phone" id="phone"
                                               maxlength="<?php if(isset($this->val['gui']['wqiwiru_length'])){ echo $this->val['gui']['wqiwiru_length']; } else { echo "
                                               15"; } ?>" placeholder="<?php echo T_("Телефон"); ?>" disabled required>
                                    </div>
                                </div>

                                <div class="form-group" id="show_email" style="display:none">
                                    <label for="email" class="col-sm-3 control-label"><?php echo T_("E-mail"); ?>
                                        :</label>

                                    <div class="col-sm-4">
                                        <input type="email" class="form-control" name="email" id="email"
                                               value="<?php if(isset($this->val['email'])){ echo $this->val['email']; } ?>"
                                               disabled>
                                    </div>
                                </div>

                                <hr>
                                <table class="table" id="show_commission"  style="display:none">
                                    <tr>
                                        <td class="col-sm-3 control-label"><?php echo T_("Комиссия"); ?>:</td>
                                        <td><span id="label_kommiss">0</span>%</td>
                                    </tr>
                                    <tr>
                                        <td class="col-sm-3 control-label"><?php echo T_("Итого к оплате"); ?>:</td>
                                        <td><span id="label_itogo">0</span> <?php echo $this->val['UE']; ?></td>
                                    </tr>
                                </table>

                                <div class="form-group">
                                    <div class="col-sm-offset-3 col-sm-10">
                                        <button type="reset" id="reset_btn"
                                                class="btn btn-default"><?php echo T_("Отменить"); ?></button>
                                        <button type="submit"
                                                class="btn btn-info"><?php echo T_("Пополнить"); ?></button>
                                    </div>
                                </div>


                            </form>

                        </div>
                    </div>
                </div>
            </div>
            <div class="clearfix"></div>

        </div>
    </div>
</div>

<!-- Footer starts -->
<footer>
    <div class="container">
        <?php echo $this->val['footer']; ?>
    </div>
</footer>
<!-- Footer ends -->

<!-- Scroll to top -->
<span class="totop"><a href="#"><i class="icon-chevron-up"></i></a></span>

<!-- Форма нового тикета -->
<?php echo $this->val['ticket_new_form']; ?>

<!-- Javascript files -->
<!-- jQuery -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.js"></script>
<!-- Bootstrap JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap.min.js"></script>
<!-- jQuery UI -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery-ui-1.10.2.custom.min.js"></script>

<!-- jQuery Peity -->
<script src="<?php echo $this->val['path_template']; ?>/js/peity.js"></script>
<!-- Calendar -->
<script src="<?php echo $this->val['path_template']; ?>/js/fullcalendar.min.js"></script>
<!-- jQuery Star rating -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.rateit.min.js"></script>
<!-- prettyPhoto -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.prettyPhoto.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.bootstrap-touchspin.js"></script>
<!-- jQuery flot -->
<!--[if lte IE 8]>
<script language="javascript" type="text/javascript" src="js/excanvas.min.js"></script><![endif]-->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.pie.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.stack.js"></script>
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.flot.resize.js"></script>

<!-- Gritter plugin -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.gritter.min.js"></script>
<!-- CLEditor -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.cleditor.min.js"></script>
<!-- Date and Time picker -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-datetimepicker.min.js"></script>
<!-- jQuery Toggable -->
<script src="<?php echo $this->val['path_template']; ?>/js/bootstrap-switch.min.js"></script>
<!-- Respond JS for IE8 -->
<script src="<?php echo $this->val['path_template']; ?>/js/respond.min.js"></script>
<!-- HTML5 Support for IE -->
<script src="<?php echo $this->val['path_template']; ?>/js/html5shiv.js"></script>
<!-- Custom JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/custom.js"></script>

<!-- AutoTab JS -->
<script src="<?php echo $this->val['path_template']; ?>/js/jquery.autotab.js"></script>

<script type="text/javascript">
    $(document).ready(function () {

        // Показать блок выбора если доступен больше 1 способ пополнения (по умолчанию скрыт)
        <?php if (count($this->val['paymentType']) > 1 ){ ?>
            $("#block_select").show();
        <?php  } ?>

        var cab_vaucher_type = Number(<?php

        if (isset($this->val['gui']['user_vaucher_type']) and $this->val['gui']['user_vaucher_type'] <> ''){
            echo $this->val['gui']['user_vaucher_type'];
        } elseif (isset($this->val['xml']['vaucher']['@attributes']['type'])) {
            echo $this->val['xml']['vaucher']['@attributes']['type'];
        } else {
            echo "4";
        } ?>);



        var cab_vaucher_length = Number(<?php

        if (isset($this->val['gui']['user_vaucher_length']) and $this->val['gui']['user_vaucher_length'] <> ''){
            echo $this->val['gui']['user_vaucher_length'];
        }elseif (isset($this->val['xml']['vaucher']['@attributes']['length'])) {
            echo $this->val['xml']['vaucher']['@attributes']['length'];
        } else {
            echo "18";
        } ?>);

        var urlCopayco = '<?php echo $this->val['urlCopayco']; ?>';

        if (urlCopayco != '') {
            location.href = urlCopayco;
        }


        // Тип ваучера
        if (cab_vaucher_type == 3) {
            $("#card6_visible").show();
            $('#card1').autotab({target: '#card2', format: 'alphanumeric', maxlength: 3});
            $('#card2').autotab({target: '#card3', previous: '#card1', format: 'numeric', maxlength: 3});
            $('#card3').autotab({target: '#card4', previous: '#card2', format: 'numeric', maxlength: 3});
            $('#card4').autotab({target: '#card5', previous: '#card3', format: 'numeric', maxlength: 3});
            $('#card5').autotab({target: '#card6', previous: '#card4', format: 'numeric', maxlength: 3});
            $('#card6').autotab({previous: '#card5', format: 'numeric', maxlength: cab_vaucher_length - 15});
        }
        else {
            $("#card6_visible").hide();
            $('#card1').autotab({target: '#card2', format: 'alphanumeric', maxlength: 4});
            $('#card2').autotab({target: '#card3', previous: '#card1', format: 'numeric', maxlength: 4});
            $('#card3').autotab({target: '#card4', previous: '#card2', format: 'numeric', maxlength: 4});
            $('#card4').autotab({target: '#card5', previous: '#card3', format: 'numeric', maxlength: 4});
            $('#card5').autotab({previous: '#card4', format: 'numeric', maxlength: cab_vaucher_length - 16});
        }

        // Автозаполнение ваучера
        <?php if (isset($this->val['gui']['user_vaucher_auto_value']) and $this->val['gui']['user_vaucher_auto_value'] <> '') {
            $vauchArray = explode('-', $this->val['gui']['user_vaucher_auto_value']);

            foreach($vauchArray as $k=>$v){
                $key =  $k+ 1; ?>
            $("#card<?php echo $key; ?>").attr("value", "<?php echo $v; ?>");

            <?php if (isset($this->val['gui']['user_vaucher_auto_read_only']) and $this->val['gui']['user_vaucher_auto_read_only'] == '1') { ?>
            $('#card<?php echo $key; ?>').prop('readonly', true);

            <?php } } } ?>

        // Инициализации ПС при загрузке страницы
        getPaymentSystem();

        // Оброботчик выпадающего списка
        $('#money_option').change(function () {
            getPaymentSystem();
        });

        $("#summa").change(function () {
              do_change_summ();
        });

        $("#reset_btn").click(function () {
            $('#form_payment_ps').trigger("reset");
            do_change_summ();
        });

        do_change_summ();

        // Расчет коммиссии платежа
        function do_change_summ() {

            var tinkoff_commiss = Number( <?php echo $this->val['tinkoff_kommiss_percent']; ?>);
            var summa = Number($("#summa").val());

            var itogo = (summa + (summa * tinkoff_commiss) /100).toFixed(2);
//            var komiss = (itogo - summa).toFixed(2);

            $("#label_kommiss").html(tinkoff_commiss);
            $("#label_itogo").html(itogo);
            $("#amount_with_kommiss").val(itogo);
        }

        function getPaymentSystem() {

            $("#phone").attr('disabled', true);
            $("#email").attr('disabled', true);
            $("#show_phone").hide();
            $("#show_email").hide();
            $("#show_summa").show();
            $("#show_commission").hide();
            $("#amount_with_kommiss").attr("name", "amount2");
            $("#summa").attr("name", "summa");
            $("#uid").attr("name", "uid");



            if ($('#money_option').val() == 0) {
                //Пополнени ваучером
                $("#block_ps").hide();
                $("#block_vaucher").show();

            } else if($('#money_option').val() >= 1) {

                $("#block_ps").show();
                $("#block_vaucher").hide();

                if ($('#money_option').val() == 1) {
                    //Приват24
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Приват24');
                    $("#form_payment_ps").attr("action", "pay.php?system=privat24");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 2) {
                    //LiqPay
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> LiqPay');
                    $("#form_payment_ps").attr("action", "pay.php?system=liqpay");
                    $("#summa").attr("name", "amount");


                } else if ($('#money_option').val() == 3) {
                    //OnPay
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> OnPay');
                    $("#form_payment_ps").attr("action", "pay.php?system=onpay");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 4) {
                    //PSCB
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> PSCB');
                    $("#form_payment_ps").attr("action", "pay.php?system=pscb");
                    $("#summa").attr("name", "amount");


                } else if ($('#money_option').val() == 5) {
                    //PayMaster
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> PayMaster');
                    $("#form_payment_ps").attr("action", "pay.php?system=paymaster");
                    $("#summa").attr("name", "amount");


                } else if ($('#money_option').val() == 6) {
                    //RoboKassa
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> RoboKassa');
                    $("#form_payment_ps").attr("action", "pay.php?system=robokassa");
                    $("#summa").attr("name", "amount");


                } else if ($('#money_option').val() == 7) {
                    //w.qiwi.ru
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> w.qiwi.ru');
                    $("#form_payment_ps").attr("action", "pay.php?system=wqiwiru");
                    $("#summa").attr("name", "amount");
                    $("#phone").attr('disabled', false);
                    $("#show_phone").show();


                } else if ($('#money_option').val() == 8) {
                    // CoPayCo
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> CoPayCo');
                    $("#form_payment_ps").attr("action", "main.php");
                    $("#summa").attr("name", "nAmount");
                    $("#uid").attr("name", "us_uid");


                } else if ($('#money_option').val() == 9) {
                    //  Stripe

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Stripe');
                    $("#form_payment_ps").attr("action", "pay.php?system=stripe");
                    $("#summa").attr("name", "amount");
                    $("#email").attr('disabled', false);
                    $("#show_email").show();


                } else if ($('#money_option').val() == 10) {
                    //  PayPal

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> PayPal');
                    $("#form_payment_ps").attr("action", "pay.php?system=paypal");
                    $("#summa").attr("name", "amount");


                } else if ($('#money_option').val() == 11) {
                    //  PayKeeper

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> PayKeeper');
                    $("#form_payment_ps").attr("action", "pay.php?system=paykeeper");
                    $("#email").attr('disabled', false);
                    $("#summa").attr("name", "amount");
                    $("#show_email").show();


                } else if ($('#money_option').val() == 12) {
                    //  UkrPays

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> UkrPays');
                    $("#form_payment_ps").attr("action", "pay.php?system=ukrpays");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 13) {
                    //  Yandex

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Яндекс.Касса');
                    $("#form_payment_ps").attr("action", "pay.php?system=yandex");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 14) {
                    //  Uniteller

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Uniteller');
                    $("#form_payment_ps").attr("action", "pay.php?system=uniteller");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 15) {
                    //  Portmone

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Portmone');
                    $("#form_payment_ps").attr("action", "pay.php?system=portmone");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 16) {
                    //  iPay

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> iPay');
                    $("#form_payment_ps").attr("action", "pay.php?system=ipay");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 17) {
                    //  SberBank.ru

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> SberBank.ru');
                    $("#form_payment_ps").attr("action", "pay.php?system=sberbankrumrch");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 18) {
                    //  Fondy

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Fondy');
                    $("#form_payment_ps").attr("action", "pay.php?system=fondy");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 19) {
                    //SimplePay

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> SimplePay');
                    $("#form_payment_ps").attr("action", "pay.php?system=simplepay");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 20) {
                    //Яндекс.Деньги

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Яндекс.Деньги');
                    $("#form_payment_ps").attr("action", "pay.php?system=yandexmoney");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 21) {
                    //CloudPayments

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> CloudPayments');
                    $("#form_payment_ps").attr("action", "pay.php?system=cloudpayments");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 22) {
                    //ISBANK

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> ISBANK');
                    $("#form_payment_ps").attr("action", "pay.php?system=isbank");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 23) {
                    //Tinkoff

                    $('#show_commission').show();
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Tinkoff');
                    $("#form_payment_ps").attr("action", "pay.php?system=tinkoff");
                    $("#amount_with_kommiss").attr("name", "amount");

                } else if ($('#money_option').val() == 24) {
                    //AlfaBank.ru

                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Альфа-Банк');
                    $("#form_payment_ps").attr("action", "pay.php?system=alfabankru");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 25) {
                    //ПриватБанк v2

                    $('#show_summa').hide();
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> ПриватБанк');
                    $("#form_payment_ps").attr("action", "pay.php?system=privat_v2");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 26) {
                    //PaySoft\
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> PaySoft');
                    $("#form_payment_ps").attr("action", "pay.php?system=paysoft");
                    $("#summa").attr("name", "amount");

                } else if ($('#money_option').val() == 27) {
                    //ckassa.ru\
                    $('#name_ps').html('<?php echo T_("Платежная система"); ?> Центральная Касса');
                    $("#form_payment_ps").attr("action", "pay.php?system=ckassa");
                    $("#summa").attr("name", "amount");

                }
            }
        }
    });

</script>

</body>
</html>